# Sinh viên tiến hành chạy file DB.sql để lấy dữ liệu trước khi thực hiện các yêu cầu tiếp theo

USE DB;

# Cho biết mã giáo viên, họ tên và lương. Kết quả trả về sắp xếp mức lương tăng dần
SELECT magv, hoten, luong
FROM GiaoVien
ORDER BY luong ASC;

# Giới hạn kết quả sắp xếp
SELECT magv, hoten, luong
FROM GiaoVien
ORDER BY luong
LIMIT 4;

# Cho biết mã giáo viên, họ tên và lương. Kết quả trả về sắp xếp mức lương giảm dần
SELECT magv, hoten, luong
FROM GiaoVien
ORDER BY luong DESC;

# Cho biết mã giáo viên, họ tên và lương. Kết quả trả về sắp xếp mức lương giảm dần, 
# sau đó các kết quả cùng mức lương xếp theo magv giảm dần 
SELECT magv, hoten, luong
FROM GiaoVien
ORDER BY luong DESC, magv DESC;


# Bài tập 
-- 1. Cho biết danh sách các đề tài được sắp xếp theo ngày bắt đầu tăng dần.
-- 2. Cho biết mã giáo viên, họ tên. Kết quả trả về sắp xếp tên giáo viên tăng dần
-- 3. Cho biết mã đề tài, số thứ tự công việc, tên công việc. Kết quả trả về sắp xếp mã đề tài tăng dần, số thứ tự công việc giảm dần.
-- 4. Cho biết mức phụ cấp đề tài cao nhất là bao nhiêu. 
-- 5. Cho biết kinh phí làm đề tài thấp nhất là bao nhiêu. 

